import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';

import { GitSearchV2SharedModule } from 'app/shared/shared.module';
import { SavedSearchesComponent } from './saved-searches.component';
import { SavedSearchesDetailComponent } from './saved-searches-detail.component';
import { SavedSearchesUpdateComponent } from './saved-searches-update.component';
import { SavedSearchesDeleteDialogComponent } from './saved-searches-delete-dialog.component';
import { savedSearchesRoute } from './saved-searches.route';

@NgModule({
  imports: [GitSearchV2SharedModule, RouterModule.forChild(savedSearchesRoute)],
  declarations: [SavedSearchesComponent, SavedSearchesDetailComponent, SavedSearchesUpdateComponent, SavedSearchesDeleteDialogComponent],
  entryComponents: [SavedSearchesDeleteDialogComponent],
})
export class GitsearchSavedSearchesModule {}
