import {NgModule} from '@angular/core';
import {RouterModule} from '@angular/router';
import { TeaserContentComponent } from 'app/teaserContent/teaserContent.component';
import { TagCloudModule } from 'angular-tag-cloud-module';

import {GitSearchV2SharedModule} from 'app/shared/shared.module';
import {HOME_ROUTE} from './home.route';
import {HomeComponent} from './home.component';

@NgModule({
  imports: [GitSearchV2SharedModule, RouterModule.forChild([HOME_ROUTE]), TagCloudModule],
  declarations: [HomeComponent, TeaserContentComponent],
})
export class GitSearchV2HomeModule {
}
